WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Enumerations
vp8dx.h File Reference
WebM VP8 Decoder

Provides definitions for using the VP8 algorithm within the vpx Decoder interface. More...

`#include "vp8.h"`

Go to the source code of this file.

## Data Structures
struct | vp8_decrypt_init
| Structure to hold decryption state. More...

## Typedefs
typedef struct vp8_decrypt_init | vp8_decrypt_init
| Structure to hold decryption state. More...

## Enumerations
enum | vp8_dec_control_id { VP8D_GET_LAST_REF_UPDATES = VP8_DECODER_CTRL_ID_START, VP8D_GET_FRAME_CORRUPTED, VP8D_GET_LAST_REF_USED, VP8D_SET_DECRYPTOR, VP9_INVERT_TILE_DECODE_ORDER, VP8_DECODER_CTRL_ID_MAX }
| VP8 decoder control functions. More...

## Algorithm interface for VP8
This interface provides the capability to decode raw VP8 streams, as would be found in AVI files and other non-Flash uses.
vpx_codec_iface_t | vpx_codec_vp8_dx_algo
vpx_codec_iface_t | vpx_codec_vp9_dx_algo
vpx_codec_iface_t * | vpx_codec_vp8_dx (void)
vpx_codec_iface_t * | vpx_codec_vp9_dx (void)

## Detailed Description

Provides definitions for using the VP8 algorithm within the vpx Decoder interface.